Subject: [sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in state "Candidate for WG Adoption"

From: IETF Secretariat <[email-masked]>
Date: Mon, 08 Oct 2018 15:20:34 -0700

The SFC WG has placed draft-wang-sfc-multi-layer-oam in state
Candidate for WG Adoption (entered by Joel Halpern)

The document is available at
https://datatracker.ietf.org/doc/draft-wang-sfc-multi-layer-oam/

Comment:
This document has been presented at several SFC working group sessions.  The
authors have asked for Working Group Adoption.  This starts a two week call
for that adoption.  Please speak up, preferably with supporting explanations,
in favor of or opposed to the working group adopting this document. The last
call will end CoB  somewhere 22-October-2018 (e.g. by the time I do anything
about it, it will be at least the 23rd everywhere.)

Thank you,
Joel and Jim

---

From: <[email-masked]>
Date: Wed, 10 Oct 2018 13:52:43 +0800 (CST)

Hi SFC Chairs et al,

I support WG adotion of this draft, because this work of active OAM is within our charter and complementary with already adopted iOAM.

Best Regards,

Xiao Min

原始邮件

发件人：IETFSecretariat <[email-masked]>
收件人：[email-masked] <[email-masked]>[email-masked] <[email-masked]>[email-masked] <[email-masked]>
日 期 ：2018年10月09日 06:20
主 题 ：[sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in state"Candidate for WG Adoption"

Comment:

Thank you,
Joel and Jim

_______________________________________________
sfc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sfc

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 10 Oct 2018 12:53:57 -0700

yes/support as co-author.

Regards,
Greg

---

From: Linda Wang <[email-masked]>
Date: Thu, 11 Oct 2018 10:01:58 +1100

Yes.
Support WG adoption for this draft as co-author.

BRs,
Linda

---

From: <[email-masked]>
Date: Thu, 11 Oct 2018 11:53:07 +0800 (CST)

Yes. I support the draft adopted by WG. 

The draft provides an active OAM way for SFC which is popular in SFC and enables the SFC OAM to be more flexible.

Best Regards

Ting Ao

原始邮件

日 期 ：2018年10月09日 06:21

Comment:

Thank you,
Joel and Jim

---

From: John E Drake <[email-masked]>
Date: Tue, 16 Oct 2018 17:57:06 +0000

Hi,

Support

Yours Irrespectively,

John

> -----Original Message-----
> From: sfc <[email-masked]> On Behalf Of IETF Secretariat
> Sent: Monday, October 8, 2018 6:21 PM
> To: [email-masked]; [email-masked];
> [email-masked]
> Subject: [sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in state
> "Candidate for WG Adoption"
> 
> 
> The SFC WG has placed draft-wang-sfc-multi-layer-oam in state Candidate
> for WG Adoption (entered by Joel Halpern)
> 
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__datatracker.ietf.org_doc_draft-2Dwang-2Dsfc-2Dmulti-2Dlayer-
> 2Doam_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=CRB2tJiQePk0cT-h5LGhEWH-
> s_xXXup3HzvBSMRj5VE&m=XTpl2v88TmoaXEAzi0nJSpW9WriUtmQAsxdx79X
> SF8s&s=PWi3PVIuBhe7oouWsmQnruaW8qq1qZ12JGMUASVx9IU&e=
> 
> Comment:
> This document has been presented at several SFC working group sessions.
> The authors have asked for Working Group Adoption.  This starts a two week
> call for that adoption.  Please speak up, preferably with supporting
> explanations, in favor of or opposed to the working group adopting this
> document. The last call will end CoB  somewhere 22-October-2018 (e.g. by
> the time I do anything about it, it will be at least the 23rd everywhere.)
> 
> Thank you,
> Joel and Jim
> 
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_mailman_listinfo_sfc&d=DwICAg&c=HAkYuh63rsuhr6Scb
> fh0UjBXeMK-ndb3voDTXcWzoCI&r=CRB2tJiQePk0cT-h5LGhEWH-
> s_xXXup3HzvBSMRj5VE&m=XTpl2v88TmoaXEAzi0nJSpW9WriUtmQAsxdx79X
> SF8s&s=FTp4oKrfaXnp_a0oDtLFlT8Ugbgth3QxPDgAjB7Apuk&e=

---

From: Giuseppe Fioccola <[email-masked]>
Date: Wed, 17 Oct 2018 07:07:26 +0000

Hi All,
I support the WG adoption of this document.

BR,

Giuseppe

-----Original Message-----
From: sfc [mailto:[email-masked]] On Behalf Of John E Drake
Sent: Tuesday, 16 October 2018 19:57
To: IETF Secretariat <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in state "Candidate for WG Adoption"

Hi,

Support

Yours Irrespectively,

John

> Subject: [sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in 
> state "Candidate for WG Adoption"
> 
> 
> The authors have asked for Working Group Adoption.  This starts a two 
> week call for that adoption.  Please speak up, preferably with 
> supporting explanations, in favor of or opposed to the working group 
> adopting this document. The last call will end CoB  somewhere 
> 22-October-2018 (e.g. by the time I do anything about it, it will be 
> at least the 23rd everywhere.)
> 
> Thank you,
> Joel and Jim
>

---

From: <[email-masked]>
Date: Wed, 17 Oct 2018 08:28:07 +0000

Hi all, 

FWIW, I'm aware of an IPR that might be applicable to this I-D. That IPR was already disclosed for the OAM framework I-D: https://datatracker.ietf.org/ipr/3121/

A similar disclosure is needed IMHO to this draft; will try to get this done soon. 

Cheers,
Med

> -----Message d'origine-----
> De : sfc [mailto:[email-masked]] De la part de IETF Secretariat
> Envoyé : mardi 9 octobre 2018 00:21
> À : [email-masked]; [email-masked];
> [email-masked]
> Objet : [sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in state

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 17 Oct 2018 08:14:07 -0700

Hi Med,
thank you for bringing this IPR to our attention. I've read it and would
encourage the involved party to thoroughly read the drraft before
proceeding with the Disclosure.

Best regards,
Greg

On Wed, Oct 17, 2018 at 1:28 AM <[email-masked]> wrote:

> Hi all,
>
> FWIW, I'm aware of an IPR that might be applicable to this I-D. That IPR
> was already disclosed for the OAM framework I-D:
> https://datatracker.ietf.org/ipr/3121/
>
> The

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 26 Oct 2018 03:34:43 +0000

Is this an active adoption poll issued by the chairs? Candidate indicates potential or intent, not action, so far as I know.

As this is being discussed, does this draft conform with the SFC WG adopted OAM framework draft-ietf-sfc-oam-framework?

Thanks,

— Carlos Pignataro

On Oct 10, 2018, at 1:52 AM, [email-masked]<mailto:[email-masked]> wrote:

Hi SFC Chairs et al,

Best Regards,

Xiao Min

原始邮件
发件人：IETFSecretariat <[email-masked]<mailto:[email-masked]>>
收件人：[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
日 期 ：2018年10月09日 06:20
主 题 ：[sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in state"Candidate for WG Adoption"

Comment:

Thank you,
Joel and Jim

_______________________________________________
sfc mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sfc

_______________________________________________
sfc mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sfc

---

From: <[email-masked]>
Date: Fri, 26 Oct 2018 16:01:42 +0800 (CST)

Hi Carlos,

I read the clear comment from the chairs Joel and Jim, especially the following words.

-----------------------------------------------------------   snip   -------------------------------------------------------------

This starts a two week call for that adoption.  Please speak up, preferably with supporting explanations,in favor of or opposed to the working group adopting this document.

-----------------------------------------------------------   snap   ------------------------------------------------------------

As to the already adopted draft-ietf-sfc-oam-framework, if I understand it correctly, this draft is informational and it doesn't raise any practical solution of SFC OAM, so I believe the alignment between draft-ietf-sfc-oam-framework and draft-wang-sfc-multi-layer-oam can be done and should be done after the adoption poll conclude.

Best Regards,

Xiao Min

原始邮件

发件人：CarlosPignataro(cpignata) <[email-masked]>
收件人：肖敏10093570;
抄送人：[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;
日 期 ：2018年10月26日 11:35
主 题 ：Re: [sfc]  The SFC WG has placed draft-wang-sfc-multi-layer-oam instate"Candidate for WG Adoption"

Thanks,
 
— Carlos Pignataro

On Oct 10, 2018, at 1:52 AM, [email-masked] wrote:

Hi SFC Chairs et al,

 

Best Regards,

Xiao Min

_______________________________________________ sfc mailing list [email-masked] https://www.ietf.org/mailman/listinfo/sfc 

日 期 ：2018年10月09日 06:20

 The SFC WG has placed draft-wang-sfc-multi-layer-oam in state Candidate for WG Adoption (entered by Joel Halpern) The document is available at https://datatracker.ietf.org/doc/draft-wang-sfc-multi-layer-oam/ Comment: This document has been presented at several SFC working group sessions.  The authors have asked for Working Group Adoption.  This starts a two week call for that adoption.  Please speak up, preferably with supporting explanations, in favor of or opposed to the working group adopting this document. The last call will end CoB  somewhere 22-October-2018 (e.g. by the time I do anything about it, it will be at least the 23rd everywhere.) Thank you, Joel and Jim _______________________________________________ sfc mailing list [email-masked] https://www.ietf.org/mailman/listinfo/sfc

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 26 Oct 2018 10:02:20 -0400

This document has completed its working group adoption poll with 
sufficient support.  I will be marking the document as adopted, and the 
authors will be submitting draft-ietf-sfc-multi-layer-oam when 
submission reopens.

If there are mismatches between this and the adopted working group 
document, it will be up to the working group to resolve them.  We need 
to publish a consistent sest of OAM documents.

Yours,
Joel

On 10/25/18 11:34 PM, Carlos Pignataro (cpignata) wrote:
> Is this an active adoption poll issued by the chairs? Candidate 
> indicates potential or intent, not action, so far as I know.
> 
> As this is being discussed, does this draft conform with the SFC WG 
> adopted OAM framework draft-ietf-sfc-oam-framework?
> 
> Thanks,
> 
> — Carlos Pignataro
> 
>> I support WG adotion of this draft, because this work of active OAM is 
>> within our charter and complementary with already adopted iOAM.
>>
>>
>> Best Regards,
>>
>> Xiao Min
>>
>> 原始邮件
>> *发件人：*IETFSecretariat <[email-masked] 
>> <mailto:[email-masked]>>
>> *收件人：[email-masked] 
>> <mailto:[email-masked]> 
>> <[email-masked] 
>> <mailto:[email-masked]>>[email-masked] 
>> <mailto:[email-masked]> <[email-masked] 
>> <mailto:[email-masked]>>[email-masked] <mailto:[email-masked]> 
>> <[email-masked] <mailto:[email-masked]>>
>> *日 期 ：*2018年10月09日 06:20
>> *主 题 ：**[sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam 
>> in state"Candidate for WG Adoption"*
>>
>> [email-masked] <mailto:[email-masked]>
>> [email-masked] <mailto:[email-masked]>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 26 Oct 2018 21:35:27 +0000

Hi, Xiao Min,

Thank for for clarifying! I totally missed the “Comments” section including not only the actual “Adoption Call”, but also the deadline!

While the deadline passed, as I just learned, I trust you can entertain this follow-up:

It really does not matter what the Intended Status of a document versus the other one is…

draft-ietf-sfc-oam-framework does not raise solutions *by design* because it is a *framework* document. However, solutions should align to the framework itself.  Clearly, aligning a solution to an existing framework *after* adoption would defeat its purpose.

So, if the framework includes *existing* protocols as parts of it — why does this document invents a new protocol from scratch modeled after MPLS LSP Ping?

Xiao, you also wrote this before:

So, for me to understand, I see no mention of IOAM in draft-wang-sfc-multi-layer-oam. What is complementary about it (other than the same complementarity between IOAM and any other OAM solution)?

Thanks again, ad apologies for the belated note.

— Carlos Pignataro

On Oct 26, 2018, at 4:01 AM, [email-masked]<mailto:[email-masked]> wrote:

Hi Carlos,

This starts a two week call for that adoption.  Please speak up, preferably with supporting explanations,
in favor of or opposed to the working group adopting this document.

Best Regards,

Xiao Min

原始邮件
发件人：CarlosPignataro(cpignata) <[email-masked]<mailto:[email-masked]>>
收件人：肖敏10093570;
抄送人：[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;
日 期 ：2018年10月26日 11:35
主 题 ：Re: [sfc]  The SFC WG has placed draft-wang-sfc-multi-layer-oam instate"Candidate for WG Adoption"
Is this an active adoption poll issued by the chairs? Candidate indicates potential or intent, not action, so far as I know.
As this is being discussed, does this draft conform with the SFC WG adopted OAM framework draft-ietf-sfc-oam-framework?

Thanks,

— Carlos Pignataro

Hi SFC Chairs et al,

Best Regards,

Xiao Min

Comment:

Thank you,
Joel and Jim

---

From: Carlos Pignataro <[email-masked]>
Date: Fri, 26 Oct 2018 18:03:34 -0400

Joel and Jim,

Please find some comments and questions on this document, for the authors and WG consideration — this note neither supports nor opposes adoption. Apologies for the late email.

3.  Requirements for Active OAM in SFC Network
…
      REQ#3: SFC OAM MUST support Remote Defect Indication (RDI)
      notification by the egress to the ingress.
…
      REQ#7: SFC OAM MUST have the ability to discover and exercise all
      available RSPs in the transport network.

CMP: This document includes a list of Requirements. It is somewhat elusive why some and not others. It is unclear the reason why it lists requirements for Active OAM only instead of Requirements for operations and manageability of SFCs — the former focuses on a solution in mind, the latter focuses on the larger problem space.

4.  Active OAM Identification in SFC NSH

   The interpretation of O bit flag in the NSH header is defined in
   [RFC8300] as:

      O bit: Setting this bit indicates an OAM packet.

   This document updates the definition of O bit as follows:

      O bit: Setting this bit indicates an OAM command and/or data in
      the NSH Context Header or packet payload

CMP: I oppose this update. If the O bit is Set, that will trigger a processing exception. That should not have user Data at all.

CMP: Additionally, Section 4 says:

   Active SFC OAM defined as a combination of OAM commands and/or data
   included in a message that immediately follows the NSH.  To identify

CMP: Section 1 says:

   This document defines how active Operation, Administration and
   Maintenance (OAM), per [RFC7799] definition of active OAM, identified

CMP: But RFC 7799 says nothing about a command or data.

5.  Echo Request/Echo Reply for SFC in Networks

CMP: What specifically is the need to invent a new protocol as opposed to, for example, use ICMP Echo / Reply? 

Thanks!

—
Carlos Pignataro, [email-masked] <mailto:[email-masked]>

"올려다 봐 이렇게 마주한 같은 하늘”
“Look up, we're all looking at the same sky."
-Kim NamJoon

> On Oct 8, 2018, at 6:20 PM, IETF Secretariat <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> https://datatracker.ietf.org/doc/draft-wang-sfc-multi-layer-oam/ <https://datatracker.ietf.org/doc/draft-wang-sfc-multi-layer-oam/>
> 
> Comment:

---

From: <[email-masked]>
Date: Sat, 27 Oct 2018 11:39:41 +0800 (CST)

Hi Carlos,

Actually I appreciate the discussion initiated by you, even after the deadline, some of my points are as follow:

1. To the adoption process, I have a different view. I don't think an adopted framework document means something like golden rule, as the chair Joel has indicated in his response "If there are mismatches between this and the adopted working group document, it will be up to the working group to resolve them."

2. To the question whether we need a new protocol for SFC active OAM, my answer is yes, as to whether the new protocol models after MPLS LSP Ping or not, I personally don't care about it.

3. I agree to your point that this draft should mention IOAM. I'd like to see more coorperation, even if compitition always exists.

Best Regards,

Xiao Min

原始邮件

发件人：CarlosPignataro(cpignata) <[email-masked]>
收件人：肖敏10093570;
抄送人：[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;
日 期 ：2018年10月27日 05:35
主 题 ：Re: [sfc]  The SFC WG has placed draft-wang-sfc-multi-layer-oaminstate"Candidate for WG Adoption"

Hi, Xiao Min, 

 

 

— Carlos Pignataro

On Oct 26, 2018, at 4:01 AM, [email-masked] wrote:

Hi Carlos,

This starts a two week call for that adoption.  Please speak up, preferably with supporting explanations, in favor of or opposed to the working group adopting this document.

 

Best Regards,

Xiao Min

 

收件人：肖敏10093570;

日 期 ：2018年10月26日 11:35

Thanks,
 
— Carlos Pignataro

Hi SFC Chairs et al,

 

Best Regards,

Xiao Min

日 期 ：2018年10月09日 06:20

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sat, 27 Oct 2018 13:37:12 +0000

Xiao,

Thank you for your quick response!

Please find some follow-ups, using the same numbering scheme:

1. That’s a strawman. I do not believe anyone said anything about “golden rules” — if I missed the reference please quote it, otherwise let’s stay factual.

However, the framework is a comprehensive document and choosing to simply ignore it is just buying future problems for the WG. That document has a Layering Models, OAM Components, OAM functions, and a Gap Analysis in sections 2-5 respectively. For example, it would be baseline-useful to at least show which area of OAM within the framework your document is trying to solve for. Earlier versions of the multi-layer work mentioned the framework.

2. You wrote:

To the question whether we need a new protocol for SFC active OAM, my answer is yes,

I understand your preference is to invent a new protocol because that’s what your document does. However, more importantly, you have not explained *why*. Let me ask again. What is the technical rationale for this major design choice? It could very well be that it is needed, I’m not saying it is absolutely not. It’s hard to tell without a technical explanation. But you seem to be starting with a *solution* and reverse-engineering requirements. On the framework, Section 5 has a gap analysis. Section 6.4 has OAM toolset applicability.

3. Again, please do not mis quote me. I did NOT say this draft should mention IOAM. That’s covered in the framework. I was asking a technical question: you said it is complementary and I am asking if you could please expand on that and explain. Here’s my question:
What is complementary about it (other than the same complementarity between IOAM and any other OAM solution)?

Lastly you wrote:

I'd like to see more coorperation, even if compitition always exists.

In my experience, innovation is a collaborative effort. Cooperation and collaboration are always positive and useful and one of the reasons for having these standardization venues. We should leverage this cooperation as much as we can. I agree and good point.

Trying to understand the context of the comment: By looking at the mailing list discussion history, and at the author, contributor, and acknowledgement lists, I assume you are referring to draft-wang-sfc-multi-layer-oam needing more cooperation. I’d recommend looking at IOAM and the framework doc. for examples.

Cooperation and collaboration reminded me of this: One important request: can this document please add an “Implementation Status” section?

And one final comment and question:

It appears as if this document is basically two documents.

First, revisions 00-06, it was a model with text like this:
https://tools.ietf.org/html/draft-wang-sfc-multi-layer-oam-02#section-6

6<https://tools.ietf.org/html/draft-wang-sfc-multi-layer-oam-02#section-6>.  Gap analysis

   This document tries to complement the SFC OAM framework and all the
   SFC OAM functions are the same with the SFC OAM framework.

Then, in rev 07-onwards, it seems to have morphed into a set of Requirements trying to justify a solution:
https://tools.ietf.org/rfcdiff?url2=draft-wang-sfc-multi-layer-oam-07.txt

And: https://tools.ietf.org/rfcdiff?url2=draft-wang-sfc-multi-layer-oam-12.txt&url1=draft-wang-sfc-multi-layer-oam-06.txt

This is noticeable even in the discrepancy between the filename and the old vs. new title. Where’s multilayer?

Is this an OK characterization?

Thanks again!

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

On Oct 26, 2018, at 23:39, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>> wrote:

Hi Carlos,

Best Regards,

Xiao Min

原始邮件

— Carlos Pignataro

Hi Carlos,

Best Regards,

Xiao Min

Thanks,

— Carlos Pignataro

Hi SFC Chairs et al,

Best Regards,

Xiao Min

Comment:

Thank you,
Joel and Jim

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sat, 27 Oct 2018 19:30:08 +0000

Med,

Are you having this disclosure submitted as you had indicated?

Joel, Jim,

Would that impact the adoption call?

Thanks,

Carlos.

On Oct 17, 2018, at 4:28 AM, [email-masked]<mailto:[email-masked]> wrote:

Hi all,

Cheers,
Med

-----Message d'origine-----
De : sfc [mailto:[email-masked]] De la part de IETF Secretariat
Envoyé : mardi 9 octobre 2018 00:21
À : [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;

Comment:

Thank you,
Joel and Jim

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 27 Oct 2018 17:19:59 -0400

The disclosure was made to the working group.  No one raised an issue 
about it.  The requirement is that they be disclosed.  Which he did.

Yours,
Joel

On 10/27/18 3:30 PM, Carlos Pignataro (cpignata) wrote:
>> On Oct 17, 2018, at 4:28 AM, [email-masked] 
>> <mailto:[email-masked]> wrote:
>>
>> Hi all,
>>
>> FWIW, I'm aware of an IPR that might be applicable to this I-D. That 
>> IPR was already disclosed for the OAM framework I-D: 
>>> À : [email-masked] 
>>> <mailto:[email-masked]>; [email-masked] 
>>> <mailto:[email-masked]>;
>>> The last

---

From: <[email-masked]>
Date: Mon, 29 Oct 2018 14:56:21 +0800 (CST)

Hi Carlos,

I didn't quote any of your words, but if I misunderstand you in any way, I apologize to you.

I'm not wordsmith, especially in English, so if you want me to understand you exactly, pls express your points explicitly and clearly.

Please see more of my comments inline ...

原始邮件

发件人：CarlosPignataro(cpignata) <[email-masked]>
收件人：肖敏10093570;
抄送人：[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;
日 期 ：2018年10月27日 21:37
主 题 ：Re: [sfc]  The SFC WG has placeddraft-wang-sfc-multi-layer-oaminstate"Candidate for WG Adoption"

Xiao,

 However, the framework is a comprehensive document and choosing to simply ignore it is just buying future problems for the WG. That document has a Layering Models, OAM Components, OAM functions, and a Gap Analysis in sections 2-5 respectively. For example,  it would be baseline-useful to at least show which area of OAM within the framework your document is trying to solve for. Earlier versions of the multi-layer work mentioned the framework. 
[XM]   I think the alignment between the framework draft and this draft is necessary, and I encourage the co-authors of draft-wang-sfc-multi-layer-oam to think about your proposal carefully, then accept it or provide their own proposal.

2. You wrote:

I understand your preference is to invent a new protocol because that’s what your document does. However, more importantly, you have not explained *why*. Let me ask again. What is the technical rationale for this major design choice? It could very well  be that it is needed, I’m not saying it is absolutely not. It’s hard to tell without a technical explanation. But you seem to be starting with a *solution* and reverse-engineering requirements. On the framework, Section 5 has a gap analysis. Section 6.4 has  OAM toolset applicability. 
[XM]   Actually I'm NOT co-author of this draft, so I don't understand why you say "your document". As has been indicated by the chairs, "This document has been presented at several SFC working group sessions", so I doubt that they have not explained "why".

3. Again, please do not mis quote me. I did NOT say this draft should mention IOAM. That’s covered in the framework. I was asking a technical question: you said it is complementary and I am asking if you could please expand on that and explain. Here’s  my question:
[XM]   IOAM can be considered a hybrid OAM, and this draft proposes an active OAM solution. In my opinion, both of them are necessary for SFC.

Lastly you wrote:

[XM]   I meant the coorperation between the sets of OAM drafts, as well as the coorperation between the wg participants, such as you and Greg.

[XM]   It's up to the authors of this draft. To my understanding, "implementation status" section is not a must, I didn't read such a section in many published RFCs.

[XM]   I hope the authors would like to explain them to you.

 6.  Gap analysis     This document tries to complement the SFC OAM framework and all the    SFC OAM functions are the same with the SFC OAM framework. 

Thanks again!

Thumb typed by Carlos Pignataro. Excuze typofraphicak errows

Best Regards,

Xiao Min

On Oct 26, 2018, at 23:39, "[email-masked]" <[email-masked]> wrote:

Hi Carlos,

 

Best Regards,

Xiao Min

---

From: <[email-masked]>
Date: Mon, 29 Oct 2018 10:20:18 +0000

Hi Carlos,

I confirm that I contacted the colleague who is responsible for handling these matters (cced) right after I made my disclosure on the list. I was told that a formal disclosure is under preparation and should be on the IETF servers by next week.

Cheers,
Med

De : Carlos Pignataro (cpignata) [mailto:[email-masked]]
Envoyé : samedi 27 octobre 2018 21:30
À : BOUCADAIR Mohamed TGI/OLN
Cc : [email-masked]; [email-masked]
Objet : Re: [sfc] The SFC WG has placed draft-wang-sfc-multi-layer-oam in state "Candidate for WG Adoption"

Med,

Joel, Jim,

Thanks,

Carlos.

Hi all,

Cheers,
Med

-----Message d'origine-----
De : sfc [mailto:[email-masked]] De la part de IETF Secretariat
Envoyé : mardi 9 octobre 2018 00:21
À : [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;

Comment:

Thank you,
Joel and Jim